ASG
Keywords: uk.ac.bbk.dcs.automed.qproc.ASG,ASG class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class ASG

    java.lang.Object
      |
      +--uk.ac.bbk.dcs.automed.qproc.ASG

public class ASG
extends java.lang.Object

Constructor Summary
`ASG(java.io.File f)`
`ASG(Node n)`
`ASG(java.lang.String s)`

Method Summary
`ASG` | `copyOfASG()`
`static ASG` | `emptyQuery()`
`java.lang.String` | `formattedString()`
`static java.lang.String` | `formattedString(ASG g)`
`static java.lang.String` | `formattedString(Node n)`
`static java.lang.String` | `fromASG(ASG g)`
`static java.lang.String` | `fromASG(Node n)`
`static java.util.ArrayList` | `fromASGList(ASG g)`
`static java.util.ArrayList` | `fromASGList(Node n)`
`static java.util.ArrayList` | `fromASGTuple(ASG g)`
`static java.util.ArrayList` | `fromASGTuple(Node n)`
`java.util.ArrayList` | `listOfSchemes()`
`static java.util.ArrayList` | `listOfSchemes(ASG g)`
`static java.util.ArrayList` | `listOfSchemes(Node n)`
`static void` | `replaceAllSchemaRefs(ASG g, Schema s)`
`static void` | `replaceAllSchemaRefs(Node r, Schema s)`
`static void` | `replaceNullSchemaRefs(ASG g, Schema s)`
`static void` | `replaceNullSchemaRefs(Node r, Schema s)`
`Node` | `root()`
`static ASG` | `toASGList(java.util.ArrayList list)`
`static ASG` | `toASGTuple(java.util.ArrayList list)`
`java.lang.String` | `toString()`
`static ASG` | `voidQuery()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASG

    public ASG(Node n)

### ASG

    public ASG(java.lang.String s)
        throws java.lang.Exception

### ASG

    public ASG(java.io.File f)
        throws java.lang.Exception

Method Detail

### toASGList

    public static ASG toASGList(java.util.ArrayList list)

### toASGTuple

    public static ASG toASGTuple(java.util.ArrayList list)

### fromASGList

    public static java.util.ArrayList fromASGList(ASG g)

### fromASGList

    public static java.util.ArrayList fromASGList(Node n)

### fromASGTuple

    public static java.util.ArrayList fromASGTuple(ASG g)

### fromASGTuple

    public static java.util.ArrayList fromASGTuple(Node n)

### fromASG

    public static java.lang.String fromASG(ASG g)

### fromASG

    public static java.lang.String fromASG(Node n)

### formattedString

    public static java.lang.String formattedString(ASG g)

### formattedString

    public static java.lang.String formattedString(Node n)

### listOfSchemes

    public static java.util.ArrayList listOfSchemes(ASG g)

### listOfSchemes

    public static java.util.ArrayList listOfSchemes(Node n)

### root

    public Node root()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### formattedString

    public java.lang.String formattedString()

### listOfSchemes

    public java.util.ArrayList listOfSchemes()

### emptyQuery

    public static ASG emptyQuery()

### voidQuery

    public static ASG voidQuery()

### replaceAllSchemaRefs

    public static void replaceAllSchemaRefs(Node r,
                                            Schema s)

### replaceAllSchemaRefs

    public static void replaceAllSchemaRefs(ASG g,
                                            Schema s)

### replaceNullSchemaRefs

    public static void replaceNullSchemaRefs(Node r,
                                             Schema s)

### replaceNullSchemaRefs

    public static void replaceNullSchemaRefs(ASG g,
                                             Schema s)

### copyOfASG

    public ASG copyOfASG()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD